package org.commonjava.tensor.mem.data.store;

import java.util.HashMap;
import java.util.Map;

import org.commonjava.tensor.data.TensorDataException;
import org.commonjava.tensor.data.store.IndexStore;

public class MemoryIndexStore<K, V>
    implements IndexStore<K, V>
{

    private final Map<K, V> cache = new HashMap<K, V>();

    @Override
    public V store( final K key, final V value )
        throws TensorDataException
    {
        return cache.put( key, value );
    }

    @Override
    public V get( final K key )
        throws TensorDataException
    {
        return cache.get( key );
    }

    @Override
    public void clear()
    {
        cache.clear();
    }

    @Override
    public boolean contains( final K key )
    {
        return cache.containsKey( key );
    }

    @Override
    public V remove( final K key )
        throws TensorDataException
    {
        return cache.remove( key );
    }

}
