package org.commonjava.tensor.mem.data.store;

import javax.enterprise.context.ApplicationScoped;

import org.commonjava.tensor.data.store.IndexStore;
import org.commonjava.tensor.data.store.IndexStoreFactory;

import com.google.gson.reflect.TypeToken;

@ApplicationScoped
public class MemoryIndexStoreFactory
    implements IndexStoreFactory
{

    @Override
    public <K, V> IndexStore<K, V> getStore( final String name, final Class<K> keyType, final Class<V> valueType )
    {
        return new MemoryIndexStore<K, V>();
    }

    @Override
    public <K, V> IndexStore<K, V> getStore( final String name, final Class<K> keyType, final TypeToken<V> valueType )
    {
        return new MemoryIndexStore<K, V>();
    }

}
